package com.jjt.nccloud.utils;

import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;

/**
 * @Describe
 * @Author lizhmf
 * @Date 2021/3/16 19:32
 * @Version 1.0
 */
public class SecureRandomProxy {

    public static SecureRandom getRandomInstance() {
        SecureRandom random = null;
        try {
            random = SecureRandom.getInstance("SHA1PRNG");
//                random = SecureRandom.getInstance("NativePRNG");
//                random = SecureRandom.getInstance("NativePRNGNonBlocking");
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
        }

        return random;
    }
}
